Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define fontpkgname e00compr
Name:           e00compr
Version:        1.0.1
Release:        alt2_25
Summary:        Library to compress and uncompress E00 files

License:        MIT
URL:            http://avce00.maptools.org/e00compr
Source0:        http://avce00.maptools.org/dl/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Source44: import.info

%description
ANSI-C library to compress and uncompress Arc/Info Export (E00) files.
The package also contains a converter binary.

%package devel
Group: Development/Other
Summary: Development files for %{name}
Provides: %{name}-static = %{version}-%{release}

%description devel
Contains %{name}'s development headers and library.


%prep
%setup -q
chmod -x *.h *.c
sed -i 's/\r$//' README.TXT

# Use actual header file locations in examples and documentation
sed -i 's|#include "e00compr.h"|#include <e00compr/e00compr.h>|' ex_*.c %{name}.txt %{name}.html


%build
%make_build CFLAGS="%{optflags} -fPIC"


%install
mkdir -p %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_bindir}

# Header name conflict with cpl (cpl_error.h)
# http://bugzilla.maptools.org/show_bug.cgi?id=2367
install -pm 0644 *.h %{buildroot}%{_includedir}/%{name}
install -pm 0644 *.1 %{buildroot}%{_mandir}/man1
install -pm 0644 *.a %{buildroot}%{_libdir}
install -pm 0755 e00conv %{buildroot}%{_bindir}


%files
%doc HISTORY.TXT README.TXT e00compr.html
%{_bindir}/e00conv
%{_mandir}/man1/e00conv.1*

%files devel
%doc ex_*.c README.TXT
%{_includedir}/%{name}/*.h
%{_libdir}/*.a


%changelog
* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_25
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0.1-alt2_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt2_23
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_12
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_9
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_8
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_7
- fc import

